%define pkgname xtemplate
Summary:	An XML/XHTML template library for Ruby
Summary(pl.UTF-8):	Biblioteka szablonów XML/XHTML dla języka Ruby
Name:		ruby-%{pkgname}
Version:	0.8.0
Release:	4
License:	GPL
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/xtemplate/%{pkgname}-%{version}.tar.gz
# Source0-md5:	84132c80f71d6f5fbb538f87d52e9388
URL:		http://xtemplate.sourceforge.net
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
#BuildArch:	noarch
%{?ruby_mod_ver_requires_eq}
Obsoletes:	ruby-XTemplate
Provides:	ruby-XTemplate
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
An XML/XHTML template library for Ruby.

%description -l pl.UTF-8
Biblioteka szablonów XML/XHTML dla języka Ruby.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
ruby install.rb config \
	--site-ruby=%{ruby_rubylibdir} \
	--so-dir=%{ruby_archdir}

ruby install.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Enumerable,Hash}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

ruby install.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc STATUS CHANGES samples
%attr(755,root,root) %{_bindir}/xtemplate
%dir %{ruby_rubylibdir}/xtemplate
%{ruby_rubylibdir}/xtemplate/*.rb
%{ruby_rubylibdir}/xtemplate.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/XTemplate
%changelog
* Sun Jul 20 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-xtemplate.git;a=log;h=master

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> 6cd216e
- ruby 2.0 rebuild
- release 4 (by relup.sh)

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 9508024
- rel 3
- added rdoc and ri packages

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> ae36352
- renamed ruby-XTemplate -> ruby-xtemplate

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8798c39
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 37d51c3
- converted to UTF-8

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> 7c665b4
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 8e75402
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 4baaf0e
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Sat Nov 19 2005 Elan Ruusamäe <glen@pld-linux.org> e300258
- use system ruby macros
- cleanups, corrections, cosmetics

* Fri Dec 17 2004 darekr <darekr@pld-linux.org> 41b8ab7
- updated to 0.8.0

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> c1079a1
- spaces->tabs
- formatting

* Thu Aug 26 2004 aredridel <aredridel@pld-linux.org> 463a444
- ruby does not handle libdir properly on amd64.
- will be noarch again after Ruby is patched.

* Wed May 12 2004 aredridel <aredridel@pld-linux.org> f34bb2a
- added

